> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Update Lease: Propertyware REST

PUT https://api.propexo.com/v1/leases/propertyware_rest/{lease_id}
Content-Type: application/json

Update Lease: Propertyware REST

| Method | Interface |
|---|---|
| PUT /v1/leases | Leases |

Reference: https://docs.propexo.com/api-reference/propertyware-rest/leases/update-lease-propertyware-rest

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Path parameters

- `lease_id` (string, required) — The ID of the resource.

### Body (application/json)

This endpoint expects a _v1_leases_propertyware_rest_{lease_id}_put_input.

- `unit_id` (string, optional) — The Propexo unique identifier for the unit
- `primary_contact_id` (string, optional) — The Propexo unique identifier of the primary contact. This must either be a lead, applicant, or resident in Propexo
- `tenant_ids` (list of string, optional) — An array of Propexo lead, applicant, or resident IDs. This must also include the primary contact ID
- `start_date` (V1LeasesPropertywareRestLeaseIdPutInputStartDate, optional) — The start date associated with the lease
- `end_date` (V1LeasesPropertywareRestLeaseIdPutInputEndDate, optional) — The end date associated with the lease
- `move_in_date` (V1LeasesPropertywareRestLeaseIdPutInputMoveInDate, optional) — The move-in date associated with the lease. This must come before move_out_date
- `move_out_date` (V1LeasesPropertywareRestLeaseIdPutInputMoveOutDate, optional) — The move-out date associated with the lease. This must come before move_in_date
- `scheduled_move_out_date` (V1LeasesPropertywareRestLeaseIdPutInputScheduledMoveOutDate, optional) — The scheduled move-out date associated with the lease. This must come before move_in_date
- `status` (enum, optional) — The status associated with the lease
  - Allowed values: `Draft`, `Active`, `Active - Notice Given`, `Terminated`, `Eviction`
- `rent_amount_in_cents` (integer, optional) — The rent amount in cents for the lease
- `notes` (string, optional) — Notes associated with the lease
- `signature_date` (V1LeasesPropertywareRestLeaseIdPutInputSignatureDate, optional) — The signature date of the lease
- `deposit_amount_in_cents` (integer, optional) — The deposit amount in cents associated with the lease
- `deposit_charge_date` (V1LeasesPropertywareRestLeaseIdPutInputDepositChargeDate, optional) — The deposit date associated with the lease

## Response

### 200

Successful response

- `meta` (V1LeasesPropertywareRestLeaseIdPutOutputMeta, required)
- `result` (V1LeasesPropertywareRestLeaseIdPutOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1LeasesPropertywareRestLeaseIdPutInputStartDate

The start date associated with the lease

### V1LeasesPropertywareRestLeaseIdPutInputEndDate

The end date associated with the lease

### V1LeasesPropertywareRestLeaseIdPutInputMoveInDate

The move-in date associated with the lease. This must come before move_out_date

### V1LeasesPropertywareRestLeaseIdPutInputMoveOutDate

The move-out date associated with the lease. This must come before move_in_date

### V1LeasesPropertywareRestLeaseIdPutInputScheduledMoveOutDate

The scheduled move-out date associated with the lease. This must come before move_in_date

### V1LeasesPropertywareRestLeaseIdPutInputSignatureDate

The signature date of the lease

### V1LeasesPropertywareRestLeaseIdPutInputDepositChargeDate

The deposit date associated with the lease

### V1LeasesPropertywareRestLeaseIdPutOutputMeta

- `job_id` (string, required)

### V1LeasesPropertywareRestLeaseIdPutOutputResult

- `lease_id` (string, required) — The Propexo unique identifier for the lease
- `unit_id` (string, optional) — The Propexo unique identifier for the unit
- `primary_contact_id` (string, optional) — The Propexo unique identifier of the primary contact. This must either be a lead, applicant, or resident in Propexo
- `tenant_ids` (list of string, optional)
- `start_date` (V1LeasesPropertywareRestLeaseIdPutOutputResultStartDate, optional) — The start date associated with the lease
- `end_date` (V1LeasesPropertywareRestLeaseIdPutOutputResultEndDate, optional) — The end date associated with the lease
- `move_in_date` (V1LeasesPropertywareRestLeaseIdPutOutputResultMoveInDate, optional) — The move-in date associated with the lease. This must come before move_out_date
- `move_out_date` (V1LeasesPropertywareRestLeaseIdPutOutputResultMoveOutDate, optional) — The move-out date associated with the lease. This must come before move_in_date
- `scheduled_move_out_date` (V1LeasesPropertywareRestLeaseIdPutOutputResultScheduledMoveOutDate, optional) — The scheduled move-out date associated with the lease. This must come before move_in_date
- `status` (enum, optional) — The status associated with the lease
  - Allowed values: `Draft`, `Active`, `Active - Notice Given`, `Terminated`, `Eviction`
- `rent_amount_in_cents` (integer, optional) — The rent amount in cents for the lease
- `notes` (string, optional) — Notes associated with the lease
- `signature_date` (V1LeasesPropertywareRestLeaseIdPutOutputResultSignatureDate, optional) — The signature date of the lease
- `deposit_amount_in_cents` (integer, optional) — The deposit amount in cents associated with the lease
- `deposit_charge_date` (V1LeasesPropertywareRestLeaseIdPutOutputResultDepositChargeDate, optional) — The deposit date associated with the lease

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### V1LeasesPropertywareRestLeaseIdPutOutputResultStartDate

The start date associated with the lease

### V1LeasesPropertywareRestLeaseIdPutOutputResultEndDate

The end date associated with the lease

### V1LeasesPropertywareRestLeaseIdPutOutputResultMoveInDate

The move-in date associated with the lease. This must come before move_out_date

### V1LeasesPropertywareRestLeaseIdPutOutputResultMoveOutDate

The move-out date associated with the lease. This must come before move_in_date

### V1LeasesPropertywareRestLeaseIdPutOutputResultScheduledMoveOutDate

The scheduled move-out date associated with the lease. This must come before move_in_date

### V1LeasesPropertywareRestLeaseIdPutOutputResultSignatureDate

The signature date of the lease

### V1LeasesPropertywareRestLeaseIdPutOutputResultDepositChargeDate

The deposit date associated with the lease

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "meta": {
    "job_id": "job_9f8b7c6d5e4a3b2c1d0e"
  },
  "result": {
    "lease_id": "lease_1234567890abcdef",
    "unit_id": "unit_9876543210fedcba",
    "primary_contact_id": "contact_1122334455aabbcc",
    "tenant_ids": [
      "tenant_5566778899ddeeff",
      "contact_1122334455aabbcc"
    ],
    "start_date": "2024-05-01",
    "end_date": "2025-04-30",
    "move_in_date": "2024-05-01",
    "move_out_date": "2025-04-30",
    "scheduled_move_out_date": "2025-04-15",
    "status": "Active",
    "rent_amount_in_cents": 150000,
    "notes": "Lease updated to reflect new rent and move-out schedule.",
    "signature_date": "2024-04-20",
    "deposit_amount_in_cents": 150000,
    "deposit_charge_date": "2024-04-22"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/leases/propertyware_rest/lease_id"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/leases/propertyware_rest/lease_id';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/leases/propertyware_rest/lease_id"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/leases/propertyware_rest/lease_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.propexo.com/v1/leases/propertyware_rest/lease_id")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.propexo.com/v1/leases/propertyware_rest/lease_id', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/leases/propertyware_rest/lease_id");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/leases/propertyware_rest/lease_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```